Subject: Re: [X2Go-Dev] Bug#129: X Error: BadAccess (attempt to access private resource denied) 10 - Extension: 129 (MIT-SHM)

From: Ricardo Díaz Martín <[email-masked]>
Date: Tue, 12 Mar 2013 08:41:53 +0100

Hi,

I found that if you set enviromental LD_LIBRARY_PATH= and run qt4 based app
I got the problem on before, these apps work.

Other behaviour I found is if you set password to root user and login with
root user then you can run apps like root and see windows as expected.

I also can confirm it habppens in kubuntu 12.04.2 (fresh install)

Regards,

2013/3/3 Ricardo Díaz Martín <[email-masked]>

> Hi,
>
> In addition I got also problem running some qt4 based app. Using gdb to
> debug these apps looks like the problem is in /usr/lib/nx/X11/libNX_X11.so.6
>
> Hope it helps to you to find the bug.
>
> Regards,
> Ricardo
>
> 2013/3/1 Ricardo Díaz Martín <[email-masked]>
>
>> Package: x2goagent
>> Version: 3.5.0.17
>>
>> I just installed x2go server in kubuntu 12.10 x64 and can connect without
>> problems.
>>
>> Problem is when I tryed to run something app using kdesudo o sudo I
>> allways get:
>>
>> X Error: BadAccess (attempt to access private resource denied) 10
>>   Extension:    129 (MIT-SHM)
>>   Minor opcode: 1 (X_ShmAttach)
>>   Resource id:  0x4000010
>> X Error: BadShmSeg (invalid shared segment parameter) 128
>>   Extension:    129 (MIT-SHM)
>>   Minor opcode: 5 (X_ShmCreatePixmap)
>>   Resource id:  0x40000ab
>> X Error: BadDrawable (invalid Pixmap or Window parameter) 9
>> ...
>> ...
>> ...
>>
>> And only can see the app's windows with a full grey color inside. If the
>> app background got more than one colour I can see them but no controls
>>
>> I can confirm the same issue in other kubuntu 12.10 server updated from
>> 12.04
>>
>> I'm using x2goserver from stable x2go ppa and system are full update.
>>
>> _______________________________________________
>> X2Go-Dev mailing list
>> [email-masked]
>> https://lists.berlios.de/mailman/listinfo/x2go-dev
>>
>
>